mod imp;

use gstreamer::glib::{self, BoolError};
use gstreamer::prelude::*;
use gstreamer::{Element, Object, Plugin, Rank};

use gstreamer_base::BaseSink;

use gstreamer_video::VideoSink;

glib::wrapper! {
    pub struct PingxelflutSink(ObjectSubclass<imp::PingxelflutSink>) @extends VideoSink, BaseSink, Element, Object;
}

pub fn register(plugin: &Plugin) -> Result<(), BoolError> {
    Element::register(
        Some(plugin),
        "pingxelflutsink",
        Rank::NONE,
        PingxelflutSink::static_type(),
    )
}
